summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--desktop/vivacious-colors-gtk-theme/README5
-rw-r--r--desktop/vivacious-colors-gtk-theme/slack-desc20
-rw-r--r--desktop/vivacious-colors-gtk-theme/vivacious-colors-gtk-theme.SlackBuild64
-rw-r--r--desktop/vivacious-colors-gtk-theme/vivacious-colors-gtk-theme.info10
4 files changed, 99 insertions, 0 deletions
diff --git a/desktop/vivacious-colors-gtk-theme/README b/desktop/vivacious-colors-gtk-theme/README
new file mode 100644
index 0000000000..bb0f6f3669
--- /dev/null
+++ b/desktop/vivacious-colors-gtk-theme/README
@@ -0,0 +1,5 @@
+Vivacious Colors GTK is a brand NEW GTK 3/2 Theme by the
+RAVEfinity Open Design Team.
+
+Fully Supports: Cinnamon, GnomeShell, Unity, Xfce, MATE, LXDE and
+Openbox Desktops.
diff --git a/desktop/vivacious-colors-gtk-theme/slack-desc b/desktop/vivacious-colors-gtk-theme/slack-desc
new file mode 100644
index 0000000000..a1856b8bfb
--- /dev/null
+++ b/desktop/vivacious-colors-gtk-theme/slack-desc
@@ -0,0 +1,20 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+vivacious-colors-gtk-theme: vivacious-colors-gtk-theme (gtk theme)
+vivacious-colors-gtk-theme:
+vivacious-colors-gtk-theme: Vivacious Colors GTK is a brand NEW GTK 3/2 Theme by the
+vivacious-colors-gtk-theme: RAVEfinity Open Design Team.
+vivacious-colors-gtk-theme:
+vivacious-colors-gtk-theme: Fully Supports: Cinnamon, GnomeShell, Unity, Xfce, MATE, LXDE and
+vivacious-colors-gtk-theme: Openbox Desktops.
+vivacious-colors-gtk-theme:
+vivacious-colors-gtk-theme: Homepage: http://www.ravefinity.com/p/vivacious-colors-gtk-theme.html
+vivacious-colors-gtk-theme:
+vivacious-colors-gtk-theme:
+vivacious-colors-gtk-theme:
diff --git a/desktop/vivacious-colors-gtk-theme/vivacious-colors-gtk-theme.SlackBuild b/desktop/vivacious-colors-gtk-theme/vivacious-colors-gtk-theme.SlackBuild
new file mode 100644
index 0000000000..d4a31f6642
--- /dev/null
+++ b/desktop/vivacious-colors-gtk-theme/vivacious-colors-gtk-theme.SlackBuild
@@ -0,0 +1,64 @@
+#!/bin/sh
+#
+# Slackware build script for vivacious-colors-gtk-theme.
+#
+# Copyright 2016 Philip van der Hoeven, Almere, The Netherlands
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM="vivacious-colors-gtk-theme"
+VERSION=${VERSION:-16.04.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+CWD=$(pwd)
+
+set -e
+
+SRCVER=$(echo $VERSION| sed 's/\./-/g')
+SRCNAM="Vivacious-Colors-GTK-3-18-Theme-v-${SRCVER}-LTS.tar.gz"
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+tar xvf $CWD/$SRCNAM
+chown -R root:root .
+
+mkdir -p $PKG/usr/share/themes/
+
+cp -a * $PKG/usr/share/themes/
+rm $PKG/usr/share/themes/README-Manual.txt
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README-Manual.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/vivacious-colors-gtk-theme/vivacious-colors-gtk-theme.info b/desktop/vivacious-colors-gtk-theme/vivacious-colors-gtk-theme.info
new file mode 100644
index 0000000000..e7a7857928
--- /dev/null
+++ b/desktop/vivacious-colors-gtk-theme/vivacious-colors-gtk-theme.info
@@ -0,0 +1,10 @@
+PRGNAM="vivacious-colors-gtk-theme"
+VERSION="16.04.4"
+HOMEPAGE="http://www.ravefinity.com/p/vivacious-colors-gtk-theme.html"
+DOWNLOAD="https://sourceforge.net/projects/slackbuildsdirectlinks/files/vivacious-colors-gtk-theme/Vivacious-Colors-GTK-3-18-Theme-v-16-04-4-LTS.tar.gz"
+MD5SUM="bebf501111f2394f619d8ce504f49758"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Philip van der Hoeven"
+EMAIL="philip@vd-hoeven.nl"